class Tag < ActiveRecord::Base
  
	
	before_validation do
		self.slug = self.name.to_s.to_slug
		
	end
	

	
	has_many :tag_taggables
	has_many :taggable, :through => :tag_taggables
	
	def recents_articles
		articles_id = self.tag_taggables.where(:taggable_type => "Article").map {|t| t.taggable_id}
		
		Article.where(:id => articles_id).recents
	end

validates :slug, :presence => true, :uniqueness => true


end
